petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMRedundantSetSize

Sets the size of a densely coupled redundant object

### Synopsis

    #include "petscdmredundant.h"
    PetscErrorCode DMRedundantSetSize(DM dm,PetscMPIInt rank,PetscInt N)

Collective on dm

### Input Parameter

| dm | - redundant DM
| rank | - rank of process to own redundant degrees of freedom
| N | - total number of redundant degrees of freedom

### See Also

DMDestroy(), DMCreateGlobalVector(), DMRedundantCreate(), DMRedundantGetSize()

### Level

advanced

### Location

src/dm/impls/redundant/dmredundant.c

### Implementations

DMRedundantSetSize_Redundant in src/dm/impls/redundant/dmredundant.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages